org.apache.hadoop.yarn.api.records

## Enum AllocationTagNamespaceType

- java.lang.Object
- - java.lang.Enum<AllocationTagNamespaceType>
  - - org.apache.hadoop.yarn.api.records.AllocationTagNamespaceType

- All Implemented Interfaces:
    Serializable, Comparable<AllocationTagNamespaceType>

      public enum AllocationTagNamespaceType
      extends Enum<AllocationTagNamespaceType>

  Class to describe all supported forms of namespaces for an allocation tag.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `APP_ID`
    `APP_TAG`
    `NOT_SELF`
    `SELF`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getTypeKeyword()`
    `String` | `toString()`
    `static AllocationTagNamespaceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AllocationTagNamespaceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SELF

          public static final AllocationTagNamespaceType SELF

    - #### NOT_SELF

          public static final AllocationTagNamespaceType NOT_SELF

    - #### APP_ID

          public static final AllocationTagNamespaceType APP_ID

    - #### APP_TAG

          public static final AllocationTagNamespaceType APP_TAG

    - #### ALL

          public static final AllocationTagNamespaceType ALL

  - ### Method Detail

    - #### values

          public static AllocationTagNamespaceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AllocationTagNamespaceType c : AllocationTagNamespaceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AllocationTagNamespaceType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getTypeKeyword

          public String getTypeKeyword()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<AllocationTagNamespaceType>`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.